//////////////////////////////////////////////////////////
// This class has been automatically generated on
// Mon Dec 26 16:40:43 2016 by ROOT version 5.34/36
// from TTree drs4analysis/title of drs4 analysis tree
// found on file: ../data/dataDSR4/analysis_07_1.root
//////////////////////////////////////////////////////////

#ifndef event_h
#define event_h

#include <TROOT.h>
#include <TChain.h>
#include <TFile.h>
#include <TGraph.h>

// Header file for the classes stored in the TTree if any.

// Fixed size dimensions of array or collections stored in the TTree if any.

class event {
public :
   TTree          *fChain;   //!pointer to the analyzed TTree or TChain
   Int_t           fCurrent; //!current Tree number in a TChain

   // Declaration of leaf types
   Double_t        maxAmplitude1;
   Double_t        timemaxAmplitude1;
   Double_t        ampl1_pos[1023];
   Double_t        time1_pos[1023];

   // List of branches
   TBranch        *b_maxAmplitude1;   //!
   TBranch        *b_timemaxAmplitude1;   //!
   TBranch        *b_ampl1_pos;   //!
   TBranch        *b_time1_pos;   //!

   event(TTree *tree=0);
   virtual ~event();
   virtual Int_t    Cut(Long64_t entry);
   virtual Int_t    GetEntry(Long64_t entry);
   virtual Long64_t LoadTree(Long64_t entry);
   virtual void     Init(TTree *tree);
   virtual void     Loop();
   virtual Bool_t   Notify();
   virtual void     Show(Long64_t entry = -1);
};

#endif

#ifdef event_cxx
event::event(TTree *tree) : fChain(0) 
{
// if parameter tree is not specified (or zero), connect the file
// used to generate this class and read the Tree.
   if (tree == 0) {
      TFile *f = (TFile*)gROOT->GetListOfFiles()->FindObject("../data/dataDSR4/analysis_07_1.root");
      if (!f || !f->IsOpen()) {
         f = new TFile("../data/dataDSR4/analysis_07_1.root");
      }
      f->GetObject("drs4analysis",tree);

   }
   Init(tree);
}

event::~event()
{
   if (!fChain) return;
   delete fChain->GetCurrentFile();
}

Int_t event::GetEntry(Long64_t entry)
{
// Read contents of entry.
   if (!fChain) return 0;
   return fChain->GetEntry(entry);
}
Long64_t event::LoadTree(Long64_t entry)
{
// Set the environment to read one entry
   if (!fChain) return -5;
   Long64_t centry = fChain->LoadTree(entry);
   if (centry < 0) return centry;
   if (fChain->GetTreeNumber() != fCurrent) {
      fCurrent = fChain->GetTreeNumber();
      Notify();
   }
   return centry;
}

void event::Init(TTree *tree)
{
   // The Init() function is called when the selector needs to initialize
   // a new tree or chain. Typically here the branch addresses and branch
   // pointers of the tree will be set.
   // It is normally not necessary to make changes to the generated
   // code, but the routine can be extended by the user if needed.
   // Init() will be called many times when running on PROOF
   // (once per file to be processed).

   // Set branch addresses and branch pointers
   if (!tree) return;
   fChain = tree;
   fCurrent = -1;
   fChain->SetMakeClass(1);

   fChain->SetBranchAddress("maxAmplitude1", &maxAmplitude1, &b_maxAmplitude1);
   fChain->SetBranchAddress("timemaxAmplitude1", &timemaxAmplitude1, &b_timemaxAmplitude1);
   fChain->SetBranchAddress("ampl1_pos", ampl1_pos, &b_ampl1_pos);
   fChain->SetBranchAddress("time1_pos", time1_pos, &b_time1_pos);
   Notify();
}

Bool_t event::Notify()
{
   // The Notify() function is called when a new file is opened. This
   // can be either for a new TTree in a TChain or when when a new TTree
   // is started when using PROOF. It is normally not necessary to make changes
   // to the generated code, but the routine can be extended by the
   // user if needed. The return value is currently not used.

   return kTRUE;
}

void event::Show(Long64_t entry)
{
// Print contents of entry.
// If entry is not specified, print current entry
   if (!fChain) return;
   fChain->Show(entry);
}
Int_t event::Cut(Long64_t entry)
{
// This function may be called from Loop.
// returns  1 if entry is accepted.
// returns -1 otherwise.
   return 1;
}
#endif // #ifdef event_cxx
